import { p as proxyCustomElement, H, h } from './p-4a8dc038.js';
import { c as classNames } from './p-12360e4c.js';
import { D as DataTestIdsEnum } from './p-6e09b0ac.js';
import { d as defineCustomElement$d } from './p-3e62cb0c.js';
import { d as defineCustomElement$c } from './p-0253d022.js';
import { d as defineCustomElement$b } from './p-08d47980.js';
import { d as defineCustomElement$a } from './p-1b9db0a5.js';
import { d as defineCustomElement$9 } from './p-60b041a9.js';
import { d as defineCustomElement$8 } from './p-ef1e9dce.js';
import { d as defineCustomElement$7 } from './p-235ad0a7.js';
import { d as defineCustomElement$6 } from './p-ca09de70.js';
import { d as defineCustomElement$5 } from './p-d3ed40a9.js';
import { d as defineCustomElement$4 } from './p-a449c019.js';
import { d as defineCustomElement$3 } from './p-155d2a8c.js';
import { d as defineCustomElement$2 } from './p-ca32a068.js';

const transactionsTableCss = ".transactions-table{width:100%;border-top-width:1px;border-bottom-width:1px;border-color:#e5e7eb;overflow:auto;table-layout:auto}.transactions-table-header{background-color:#f9fafb}.transactions-table-header-cell{padding:0.75rem 1rem;text-align:left;font-size:0.75rem;line-height:1rem;font-weight:500;color:#6b7280;text-transform:uppercase;letter-spacing:0.05em;width:16.666667%}.transactions-table-body{background-color:#ffffff;border-top-width:1px;border-bottom-width:1px;border-color:#e5e7eb}.transactions-table-body-row{color:rgb(107 114 128)}.transactions-table-body-cell{padding:0.5rem;width:max-content}.transactions-table-body-cell>*{width:max-content}";
const TransactionsTableStyle0 = transactionsTableCss;

const COLUMNS = ['TxHash', 'Age', 'Shard', 'From', 'To', 'Method', 'Value'];
const TransactionsTable$1 = /*@__PURE__*/ proxyCustomElement(class TransactionsTable extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
    }
    render() {
        return (h("table", { key: '9a041cbab496cefb2dfa265399ff4eefe156f79d', class: classNames(this.class, 'transactions-table') }, h("thead", { key: '82287b6626f1bbb917881b5f564868fe10579ddd', class: "transactions-table-header" }, h("tr", { key: '577ffeef829efe7ba187be916ade2ebacf9541ce' }, COLUMNS.map(column => (h("th", { key: column, scope: "col", class: "transactions-table-header-cell" }, column))))), h("tbody", { key: 'f44951ae10d31521873119628abab35a07acb5d2', class: "transactions-table-body" }, this.transactions.map(transaction => (h("tr", { class: "transactions-table-body-row" }, h("td", { class: "transactions-table-body-cell" }, h("transaction-hash", { transaction: transaction })), h("td", { class: "transactions-table-body-cell" }, h("transaction-age", { age: transaction.age.timeAgo, tooltip: transaction.age.tooltip })), h("td", { class: "transactions-table-body-cell" }, h("transaction-shards", { transaction: transaction })), h("td", { class: "transactions-table-body-cell" }, h("transaction-account", { account: transaction.sender, dataTestId: DataTestIdsEnum.transactionSender, scope: "sender", showLockedAccounts: true })), h("td", { class: "transactions-table-body-cell" }, h("transaction-account", { account: transaction.receiver, dataTestId: DataTestIdsEnum.transactionReceiver, scope: "receiver", showLockedAccounts: true })), h("td", { class: "transactions-table-body-cell" }, h("transaction-method", { method: transaction.method.name, actionDescription: transaction.method.actionDescription })), h("td", { class: "transactions-table-body-cell" }, h("transaction-value", { value: transaction.value }))))))));
    }
    static get style() { return TransactionsTableStyle0; }
}, [1, "transactions-table", {
        "class": [1],
        "transactions": [16]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["transactions-table", "explorer-link", "fa-icon", "format-amount", "transaction-account", "transaction-account-name", "transaction-age", "transaction-hash", "transaction-icon", "transaction-method", "transaction-shards", "transaction-value", "trim-text"];
    components.forEach(tagName => { switch (tagName) {
        case "transactions-table":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TransactionsTable$1);
            }
            break;
        case "explorer-link":
            if (!customElements.get(tagName)) {
                defineCustomElement$d();
            }
            break;
        case "fa-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$c();
            }
            break;
        case "format-amount":
            if (!customElements.get(tagName)) {
                defineCustomElement$b();
            }
            break;
        case "transaction-account":
            if (!customElements.get(tagName)) {
                defineCustomElement$a();
            }
            break;
        case "transaction-account-name":
            if (!customElements.get(tagName)) {
                defineCustomElement$9();
            }
            break;
        case "transaction-age":
            if (!customElements.get(tagName)) {
                defineCustomElement$8();
            }
            break;
        case "transaction-hash":
            if (!customElements.get(tagName)) {
                defineCustomElement$7();
            }
            break;
        case "transaction-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$6();
            }
            break;
        case "transaction-method":
            if (!customElements.get(tagName)) {
                defineCustomElement$5();
            }
            break;
        case "transaction-shards":
            if (!customElements.get(tagName)) {
                defineCustomElement$4();
            }
            break;
        case "transaction-value":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "trim-text":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
    } });
}

const TransactionsTable = TransactionsTable$1;
const defineCustomElement = defineCustomElement$1;

export { TransactionsTable, defineCustomElement };

//# sourceMappingURL=transactions-table.js.map